import React from 'react';

interface FCProps {
    children?: React.ReactNode | React.ReactNode[] | any;
}
interface BroadSenseFC {
    (props: Record<string, any> | FCProps): JSX.Element;
}
declare type Wrap = React.FC<FCProps> | BroadSenseFC;
/**
 * @example
 * const Wrapper = useWrapper(
 *   MutDrawerProvider,
 *   MutModalProvider,
 *   [AccessTokenProvider, {getTokenFn: _AuthTools.getToken}],
 *   UmiRouterProvider
 * )
 * return (
 *   <Wrapper>{children}</Wrapper>
 * )
 * @param args
 * @returns
 */
declare const useProviderWrapper: (...args: Array<[Wrap, Record<string, any>] | Wrap>) => React.FC<FCProps>;

export { useProviderWrapper as useWrapper };
